Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.etee.crypto.policies
Enum SigningOption

    java.lang.Object
      java.lang.Enum<SigningOption>
          be.fgov.ehealth.etee.crypto.policies.SigningOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SigningOption>

    public enum SigningOption

extends java.lang.Enum<SigningOption>

Options that can be set for use with SigningPolicy.

Enum Constant Summary
`AUTH_ALIAS` Alias of keypair to use for the outer (authentication) signature.
`AUTH_PW` Password of keypair to use for the outer (authentication) signature.
`CLOCK_SKEW` Acceptable difference (in millis) in time calculations to prevent clock synchronisation issues.
`NON_REPUDIATION` Flag (true/false) to define if inner signature must be placed with a non-repudiation certificate.
`SIGN_ALIAS` Alias of keypair to use for the inner (non repudiation) signature.
`SIGN_PW` Password of keypair to use for the inner (non repudiation) signature.
`SIGNING_TIME_EXPIRATION` Maximum time (in minutes) to consider a sealed message as recent. After this time, the Signing-Time of a sealed message will only be accepted as trusted if a valid Signature-Timestamp is present in the sealed message (Unsigned attribute ‘id-aa-signatureTimeStampToken’, as defined in RFC5126). If not present, a `#SIGNING_TIME_EXPIRED` warning will be added to the result.
`SIGNING_TIME_TRUST_IMPLICIT` Flag (true/false) to accept messages that have an expired Signing-Time without further verifications.
`TSA_CERT_STORE` collection of local CRLs and certificates to use for revocation checks.
`TSA_TRUST_STORE` Truststore with (root) certificates acceptable for TimeStamp Authorities.

Method Summary
`static SigningOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SigningOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIGN_ALIAS

    public static final SigningOption SIGN_ALIAS

  Alias of keypair to use for the inner (non repudiation) signature.

### AUTH_ALIAS

    public static final SigningOption AUTH_ALIAS

  Alias of keypair to use for the outer (authentication) signature.

### SIGN_PW

    public static final SigningOption SIGN_PW

  Password of keypair to use for the inner (non repudiation) signature.

### AUTH_PW

    public static final SigningOption AUTH_PW

  Password of keypair to use for the outer (authentication) signature.

### SIGNING_TIME_EXPIRATION

    public static final SigningOption SIGNING_TIME_EXPIRATION

  Maximum time (in minutes) to consider a sealed message as recent.
  After this time, the Signing-Time of a sealed message will only be accepted as trusted if a valid Signature-Timestamp is present in the sealed message (Unsigned attribute ‘id-aa-signatureTimeStampToken’, as defined in RFC5126).
  If not present, a `#SIGNING_TIME_EXPIRED` warning will be added to the result.

### SIGNING_TIME_TRUST_IMPLICIT

    public static final SigningOption SIGNING_TIME_TRUST_IMPLICIT

  Flag (true/false) to accept messages that have an expired Signing-Time without further verifications.

### TSA_TRUST_STORE

    public static final SigningOption TSA_TRUST_STORE

  Truststore with (root) certificates acceptable for TimeStamp Authorities.

### TSA_CERT_STORE

    public static final SigningOption TSA_CERT_STORE

  collection of local CRLs and certificates to use for revocation checks.

### CLOCK_SKEW

    public static final SigningOption CLOCK_SKEW

  Acceptable difference (in millis) in time calculations to prevent clock synchronisation issues.

### NON_REPUDIATION

    public static final SigningOption NON_REPUDIATION

  Flag (true/false) to define if inner signature must be placed with a non-repudiation certificate.

Method Detail

### values

    public static SigningOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SigningOption c : SigningOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SigningOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2019 eHealth. All Rights Reserved.